Summary:   Intel / AMD CPU Microcode
Name:      microcode
Version:   0.20131009
Release:   %mkrel 3
Group:     System/Kernel and hardware
License:   Distributable
# use update-intel-microcode --download-only (from microcode_ctl) to update
Source0:   microcode-20130906.tgz
# use fakeroot update-amd-microcode --download-only (from microcode_ctl) to update
Source1:   amd-ucode-latest.tar
Buildarch: noarch
BuildRequires: microcode_ctl

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new risc ones.
P6 familly is concerned: PPro, PII, Celeron, PIII, Celeron2.
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot. I.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

This package contains microcode for Intel CPU, as well as microcode for 
AMD CPU (AMD Phenom(TM), AMD Opteron(TM) and AMD Turion(TM) 64 Ultra).

%prep
%setup -q -T -c

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/lib/firmware/intel-ucode
tar -xOf %{SOURCE0} | /sbin/intel-microcode2ucode - >/dev/null
install -m 644 intel-ucode/* %{buildroot}/lib/firmware/intel-ucode

tar xf %{SOURCE1} -C %{buildroot}/lib/firmware
mv %{buildroot}/lib/firmware/amd-ucode-2012-09-10 %{buildroot}/lib/firmware/amd-ucode

%clean

%files
%defattr(-,root,root,-)
/lib/firmware/amd-ucode
/lib/firmware/intel-ucode/




%changelog
* Fri Dec 20 2013 tv <tv> 0.20131009-3.mga4
+ Revision: 559054
- split intel ucode for microcode module (mga#11934)

* Thu Oct 31 2013 tmb <tmb> 0.20131009-2.mga4.nonfree
+ Revision: 548433
- Mageia 4 rebuild

* Wed Oct 09 2013 tv <tv> 0.20131009-1.mga4.nonfree
+ Revision: 493888
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.20121025-3.mga3.nonfree
+ Revision: 360023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 0.20121025-2.mga3.nonfree
+ Revision: 310084
- force latest microcode (mgarepo sync sucks)
- fix path

* Thu Oct 25 2012 tv <tv> 0.20121025-1.mga3.nonfree
+ Revision: 310078
- latest microcode
- amd update command needs fakeroot
- fix command name

* Wed May 30 2012 zezinho <zezinho> 0.20120313-2.mga3.nonfree
+ Revision: 251615
- fix amducode path

* Tue Mar 13 2012 tv <tv> 0.20120313-1.mga2.nonfree
+ Revision: 223288
- update microcode

* Sat Jan 15 2011 tmb <tmb> 0.20110115-1.mga1
+ Revision: 19854
- imported package microcode

